summaryrefslogtreecommitdiff
path: root/hg/post-apt.d/40hg-rm
diff options
context:
space:
mode:
authorMathieu Clabaut <mathieu.clabaut@gmail.com>2007-12-21 15:47:30 -0600
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 19:53:46 -0500
commitee9cbb397107f216db196b2a7717f278a51b578d (patch)
tree060d3799d16046e0bd32f4bce387ae1a57e61413 /hg/post-apt.d/40hg-rm
parent83d1b75cabbd594019ea6fb0395c4d27e38d8aa3 (diff)
Move git files to hg one
Diffstat (limited to 'hg/post-apt.d/40hg-rm')
-rw-r--r--hg/post-apt.d/40hg-rm12
1 files changed, 12 insertions, 0 deletions
diff --git a/hg/post-apt.d/40hg-rm b/hg/post-apt.d/40hg-rm
new file mode 100644
index 0000000..680dac0
--- /dev/null
+++ b/hg/post-apt.d/40hg-rm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+TAB=" "
+
+if [ -d .git ]; then
+ for file in $(git ls-files --deleted); do
+ if [ ! -d "$file" ]; then
+ git rm --quiet "$file"
+ fi
+ done
+fi